<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension
         point="org.eclipse.ui.commands">
         <command
            description="Create new Hazard"
            id="org.polarsys.esf.riskanalysis.ui.create.hazard.command"
            name="Create new Hazard Analysis">
      </command>
   </extension>
   <extension
         point="org.eclipse.ui.handlers">
	<handler
            class="org.polarsys.esf.riskanalysis.ui.handler.CreateHazardAnalysisHandler"
            commandId="org.polarsys.esf.riskanalysis.ui.create.hazard.command">
         <activeWhen>
            <and>
               <with
                     variable="selection">
                  <iterate>
                     <adapt
                           type="org.eclipse.emf.ecore.EObject">
                        <instanceof
                              value="org.eclipse.uml2.uml.Interface">
                        </instanceof>
                     </adapt>
                  </iterate>
               </with>
               <count
                     value="1">
               </count>
            </and>
         </activeWhen>
      </handler>
      </extension>
       <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            allPopups="false"
            locationURI="popup:org.polarsys.esf.analysis.common.ui.analysis.tools.modelexplorer.menu">
        
            <menu
                  icon="platform:/plugin/org.polarsys.esf.fmea.resources.graphical/src/main/resources/icons/icon_esffmea_menu.png"
                  id="org.polarsys.esf.hazardanalysis.execution.ui.menu"
                  label="Task Based Hazard Analysis">
              
               <command
                     commandId="org.polarsys.esf.riskanalysis.ui.create.hazard.command"
                     label="Create new Hazard"
                     style="push">
               </command>
              
            </menu>
         
      </menuContribution>
  
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
     
      <image
            commandId="org.polarsys.esf.riskanalysis.ui.create.hazard.command"
            icon="platform:/plugin/org.polarsys.esf.fmea.resources.graphical/src/main/resources/icons/profile/icon_sfailuremodefmea.png">
      </image>
      
   </extension>
      
</plugin>
